/*

  Q Light Controller Plus
  audioeditor.ui

  Copyright (c) 2015 Massimo Callegari

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

      http://www.apache.org/licenses/LICENSE-2.0.txt

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
 
*/

/********************************************************************************
** Form generated from reading UI file 'audioeditor.ui'
**
** Created by: Qt User Interface Compiler version 5.15.5
**
** WARNING! All changes made in this file will be lost when recompiling UI file!
********************************************************************************/

#ifndef UI_AUDIOEDITOR_H
#define UI_AUDIOEDITOR_H

#include <QtCore/QVariant>
#include <QtGui/QIcon>
#include <QtWidgets/QApplication>
#include <QtWidgets/QComboBox>
#include <QtWidgets/QFrame>
#include <QtWidgets/QGridLayout>
#include <QtWidgets/QGroupBox>
#include <QtWidgets/QHBoxLayout>
#include <QtWidgets/QLabel>
#include <QtWidgets/QLineEdit>
#include <QtWidgets/QRadioButton>
#include <QtWidgets/QSpacerItem>
#include <QtWidgets/QToolButton>
#include <QtWidgets/QWidget>

QT_BEGIN_NAMESPACE

class Ui_AudioEditor
{
public:
    QGridLayout *gridLayout;
    QGridLayout *gridLayout_2;
    QGroupBox *groupBox;
    QHBoxLayout *horizontalLayout;
    QRadioButton *m_singleCheck;
    QRadioButton *m_loopCheck;
    QFrame *line;
    QLabel *label_4;
    QLabel *m_durationLabel;
    QLabel *m_srateLabel;
    QLabel *m_nameLabel;
    QToolButton *m_fileButton;
    QLabel *label_9;
    QLabel *label_7;
    QLabel *m_filenameLabel;
    QLineEdit *m_fadeInEdit;
    QLineEdit *m_nameEdit;
    QComboBox *m_audioDevCombo;
    QLabel *m_channelsLabel;
    QLabel *m_bitrateLabel;
    QLabel *label_2;
    QLineEdit *m_fadeOutEdit;
    QToolButton *m_previewButton;
    QToolButton *m_speedDialButton;
    QSpacerItem *verticalSpacer;
    QLabel *label_5;
    QFrame *line_2;
    QLabel *label_3;
    QLabel *label;
    QFrame *line_3;
    QLabel *label_6;

    void setupUi(QWidget *AudioEditor)
    {
        if (AudioEditor->objectName().isEmpty())
            AudioEditor->setObjectName(QString::fromUtf8("AudioEditor"));
        AudioEditor->resize(449, 513);
        gridLayout = new QGridLayout(AudioEditor);
        gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
        gridLayout_2 = new QGridLayout();
        gridLayout_2->setObjectName(QString::fromUtf8("gridLayout_2"));
        groupBox = new QGroupBox(AudioEditor);
        groupBox->setObjectName(QString::fromUtf8("groupBox"));
        horizontalLayout = new QHBoxLayout(groupBox);
        horizontalLayout->setObjectName(QString::fromUtf8("horizontalLayout"));
        m_singleCheck = new QRadioButton(groupBox);
        m_singleCheck->setObjectName(QString::fromUtf8("m_singleCheck"));
        m_singleCheck->setChecked(true);

        horizontalLayout->addWidget(m_singleCheck);

        m_loopCheck = new QRadioButton(groupBox);
        m_loopCheck->setObjectName(QString::fromUtf8("m_loopCheck"));

        horizontalLayout->addWidget(m_loopCheck);


        gridLayout_2->addWidget(groupBox, 12, 0, 1, 5);

        line = new QFrame(AudioEditor);
        line->setObjectName(QString::fromUtf8("line"));
        line->setFrameShape(QFrame::HLine);
        line->setFrameShadow(QFrame::Sunken);

        gridLayout_2->addWidget(line, 1, 0, 1, 5);

        label_4 = new QLabel(AudioEditor);
        label_4->setObjectName(QString::fromUtf8("label_4"));

        gridLayout_2->addWidget(label_4, 4, 0, 1, 3);

        m_durationLabel = new QLabel(AudioEditor);
        m_durationLabel->setObjectName(QString::fromUtf8("m_durationLabel"));
        QFont font;
        font.setBold(true);
        font.setWeight(75);
        m_durationLabel->setFont(font);

        gridLayout_2->addWidget(m_durationLabel, 3, 3, 1, 2);

        m_srateLabel = new QLabel(AudioEditor);
        m_srateLabel->setObjectName(QString::fromUtf8("m_srateLabel"));
        m_srateLabel->setFont(font);

        gridLayout_2->addWidget(m_srateLabel, 5, 3, 1, 2);

        m_nameLabel = new QLabel(AudioEditor);
        m_nameLabel->setObjectName(QString::fromUtf8("m_nameLabel"));
        QSizePolicy sizePolicy(QSizePolicy::Maximum, QSizePolicy::Preferred);
        sizePolicy.setHorizontalStretch(0);
        sizePolicy.setVerticalStretch(0);
        sizePolicy.setHeightForWidth(m_nameLabel->sizePolicy().hasHeightForWidth());
        m_nameLabel->setSizePolicy(sizePolicy);

        gridLayout_2->addWidget(m_nameLabel, 0, 1, 1, 2);

        m_fileButton = new QToolButton(AudioEditor);
        m_fileButton->setObjectName(QString::fromUtf8("m_fileButton"));
        m_fileButton->setText(QString::fromUtf8("..."));

        gridLayout_2->addWidget(m_fileButton, 2, 4, 1, 1);

        label_9 = new QLabel(AudioEditor);
        label_9->setObjectName(QString::fromUtf8("label_9"));

        gridLayout_2->addWidget(label_9, 11, 0, 1, 3);

        label_7 = new QLabel(AudioEditor);
        label_7->setObjectName(QString::fromUtf8("label_7"));

        gridLayout_2->addWidget(label_7, 9, 1, 1, 2);

        m_filenameLabel = new QLabel(AudioEditor);
        m_filenameLabel->setObjectName(QString::fromUtf8("m_filenameLabel"));
        QSizePolicy sizePolicy1(QSizePolicy::Expanding, QSizePolicy::Preferred);
        sizePolicy1.setHorizontalStretch(0);
        sizePolicy1.setVerticalStretch(0);
        sizePolicy1.setHeightForWidth(m_filenameLabel->sizePolicy().hasHeightForWidth());
        m_filenameLabel->setSizePolicy(sizePolicy1);
        m_filenameLabel->setFont(font);
        m_filenameLabel->setWordWrap(true);

        gridLayout_2->addWidget(m_filenameLabel, 2, 3, 1, 1);

        m_fadeInEdit = new QLineEdit(AudioEditor);
        m_fadeInEdit->setObjectName(QString::fromUtf8("m_fadeInEdit"));
        m_fadeInEdit->setText(QString::fromUtf8(".00"));
        m_fadeInEdit->setAlignment(Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter);

        gridLayout_2->addWidget(m_fadeInEdit, 8, 3, 1, 2);

        m_nameEdit = new QLineEdit(AudioEditor);
        m_nameEdit->setObjectName(QString::fromUtf8("m_nameEdit"));

        gridLayout_2->addWidget(m_nameEdit, 0, 3, 1, 2);

        m_audioDevCombo = new QComboBox(AudioEditor);
        m_audioDevCombo->setObjectName(QString::fromUtf8("m_audioDevCombo"));

        gridLayout_2->addWidget(m_audioDevCombo, 11, 3, 1, 2);

        m_channelsLabel = new QLabel(AudioEditor);
        m_channelsLabel->setObjectName(QString::fromUtf8("m_channelsLabel"));
        m_channelsLabel->setFont(font);

        gridLayout_2->addWidget(m_channelsLabel, 4, 3, 1, 2);

        m_bitrateLabel = new QLabel(AudioEditor);
        m_bitrateLabel->setObjectName(QString::fromUtf8("m_bitrateLabel"));
        m_bitrateLabel->setFont(font);

        gridLayout_2->addWidget(m_bitrateLabel, 6, 3, 1, 2);

        label_2 = new QLabel(AudioEditor);
        label_2->setObjectName(QString::fromUtf8("label_2"));

        gridLayout_2->addWidget(label_2, 6, 0, 1, 3);

        m_fadeOutEdit = new QLineEdit(AudioEditor);
        m_fadeOutEdit->setObjectName(QString::fromUtf8("m_fadeOutEdit"));
        m_fadeOutEdit->setText(QString::fromUtf8(".00"));
        m_fadeOutEdit->setAlignment(Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter);

        gridLayout_2->addWidget(m_fadeOutEdit, 9, 3, 1, 2);

        m_previewButton = new QToolButton(AudioEditor);
        m_previewButton->setObjectName(QString::fromUtf8("m_previewButton"));
        QIcon icon;
        icon.addFile(QString::fromUtf8(":/player_play.png"), QSize(), QIcon::Normal, QIcon::Off);
        m_previewButton->setIcon(icon);
        m_previewButton->setIconSize(QSize(32, 32));
        m_previewButton->setCheckable(true);

        gridLayout_2->addWidget(m_previewButton, 0, 0, 1, 1);

        m_speedDialButton = new QToolButton(AudioEditor);
        m_speedDialButton->setObjectName(QString::fromUtf8("m_speedDialButton"));
        QIcon icon1;
        icon1.addFile(QString::fromUtf8(":/speed.png"), QSize(), QIcon::Normal, QIcon::Off);
        m_speedDialButton->setIcon(icon1);
        m_speedDialButton->setIconSize(QSize(26, 26));
        m_speedDialButton->setCheckable(true);

        gridLayout_2->addWidget(m_speedDialButton, 8, 0, 1, 1);

        verticalSpacer = new QSpacerItem(20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding);

        gridLayout_2->addItem(verticalSpacer, 13, 0, 1, 5);

        label_5 = new QLabel(AudioEditor);
        label_5->setObjectName(QString::fromUtf8("label_5"));

        gridLayout_2->addWidget(label_5, 2, 0, 1, 3);

        line_2 = new QFrame(AudioEditor);
        line_2->setObjectName(QString::fromUtf8("line_2"));
        line_2->setFrameShape(QFrame::HLine);
        line_2->setFrameShadow(QFrame::Sunken);

        gridLayout_2->addWidget(line_2, 7, 0, 1, 5);

        label_3 = new QLabel(AudioEditor);
        label_3->setObjectName(QString::fromUtf8("label_3"));

        gridLayout_2->addWidget(label_3, 5, 0, 1, 3);

        label = new QLabel(AudioEditor);
        label->setObjectName(QString::fromUtf8("label"));

        gridLayout_2->addWidget(label, 3, 0, 1, 3);

        line_3 = new QFrame(AudioEditor);
        line_3->setObjectName(QString::fromUtf8("line_3"));
        line_3->setFrameShape(QFrame::HLine);
        line_3->setFrameShadow(QFrame::Sunken);

        gridLayout_2->addWidget(line_3, 10, 0, 1, 5);

        label_6 = new QLabel(AudioEditor);
        label_6->setObjectName(QString::fromUtf8("label_6"));

        gridLayout_2->addWidget(label_6, 8, 1, 1, 2);


        gridLayout->addLayout(gridLayout_2, 0, 0, 1, 1);

        QWidget::setTabOrder(m_nameEdit, m_fileButton);
        QWidget::setTabOrder(m_fileButton, m_fadeInEdit);
        QWidget::setTabOrder(m_fadeInEdit, m_fadeOutEdit);
        QWidget::setTabOrder(m_fadeOutEdit, m_audioDevCombo);
        QWidget::setTabOrder(m_audioDevCombo, m_speedDialButton);
        QWidget::setTabOrder(m_speedDialButton, m_previewButton);

        retranslateUi(AudioEditor);

        QMetaObject::connectSlotsByName(AudioEditor);
    } // setupUi

    void retranslateUi(QWidget *AudioEditor)
    {
        AudioEditor->setWindowTitle(QCoreApplication::translate("AudioEditor", "Audio editor", nullptr));
        groupBox->setTitle(QCoreApplication::translate("AudioEditor", "Playback mode", nullptr));
        m_singleCheck->setText(QCoreApplication::translate("AudioEditor", "Single shot", nullptr));
        m_loopCheck->setText(QCoreApplication::translate("AudioEditor", "Loop", nullptr));
        label_4->setText(QCoreApplication::translate("AudioEditor", "Channels", nullptr));
        m_durationLabel->setText(QString());
        m_srateLabel->setText(QString());
        m_nameLabel->setText(QCoreApplication::translate("AudioEditor", "Audio name", nullptr));
        label_9->setText(QCoreApplication::translate("AudioEditor", "Audio device", nullptr));
        label_7->setText(QCoreApplication::translate("AudioEditor", "Fade out", nullptr));
        m_filenameLabel->setText(QString());
#if QT_CONFIG(tooltip)
        m_nameEdit->setToolTip(QCoreApplication::translate("AudioEditor", "Name of the function being edited", nullptr));
#endif // QT_CONFIG(tooltip)
        m_channelsLabel->setText(QString());
        m_bitrateLabel->setText(QString());
        label_2->setText(QCoreApplication::translate("AudioEditor", "Bitrate", nullptr));
#if QT_CONFIG(tooltip)
        m_previewButton->setToolTip(QCoreApplication::translate("AudioEditor", "Play the audio file", nullptr));
#endif // QT_CONFIG(tooltip)
#if QT_CONFIG(tooltip)
        m_speedDialButton->setToolTip(QCoreApplication::translate("AudioEditor", "Show/Hide speed dial window", nullptr));
#endif // QT_CONFIG(tooltip)
        label_5->setText(QCoreApplication::translate("AudioEditor", "File name", nullptr));
        label_3->setText(QCoreApplication::translate("AudioEditor", "Sample rate", nullptr));
        label->setText(QCoreApplication::translate("AudioEditor", "Duration", nullptr));
        label_6->setText(QCoreApplication::translate("AudioEditor", "Fade in", nullptr));
    } // retranslateUi

};

namespace Ui {
    class AudioEditor: public Ui_AudioEditor {};
} // namespace Ui

QT_END_NAMESPACE

#endif // UI_AUDIOEDITOR_H
